How to uninstall Autodesk Genuine Service?
I seem to have found a solution, here’s what I did for those facing the same problem: I had to download the above utility and run it, then select the Autodesk Genuine Service from the…
I seem to have found a solution, here’s what I did for those facing the same problem: I had to download the above utility and run it, then select the Autodesk Genuine Service from the…
1. Several common causes of slow SolidWorks startup and suggested ways to improve and pinpoint the cause of the slowness. Load third-party plugins at startup. These 3rd party libraries need to be loaded into the…
Setting the Level of Detail with iLogic iLogic requires a custom Level of Detail (LoD) before it can perform an operation that suppresses a component. If a custom LoD is not active or one does…
Here’s how to do it, ignoring occurrences in patterns. Trace.WriteLine(“Starting….”) Dim oComp As ComponentOccurrence Dim oComps As ComponentOccurrences oComps = ThisDoc.Document.ComponentDefinition.Occurrences For Each oComp In oComps If oComp.Suppressed Then Trace.WriteLine(oComp.Name + “is suppressed”) If Not…
It is a bit tricky but you can add a new rule and inside that rule set the named dimensions and parameters. Inside a part add a rule. Here is an example, Blue words are…
Teamcenter is a product lifecycle management software owned by Siemens. iLogic is an automated programming design program in the inventor software. How to automatically download 3D models in Teamcenter through the iLogic automation programming program? In…
Use Inventor iLogic to automatically convert 3D drawings to stp format files, the code is as follows: ‘ Get the STEP translator Add-In. Dim oSTEPTranslator As TranslatorAddIn oSTEPTranslator = ThisApplication.ApplicationAddIns.ItemById(“{90AF7F40-0C01-11D5-8E83-0010B541CD80}”) Dim oContext As TranslationContext oContext…
Use Inventor iLogic to automatically convert 2D drawings into AutoCAD files in dwg format. The code is as follows: Dim oDoc As Document oDoc = ThisApplication.ActiveDocument Dim DWGAddIn As TranslatorAddIn DWGAddIn = ThisApplication.ApplicationAddIns.ItemById(“{C24E3AC2-122E-11D5-8E91-0010B541CD80}”) Dim oDocument…
Generally speaking, the birth of a masterpiece is not to spend more time and resources to solve the problem itself, but to do more with less nonsense. In the past I thought that as technology…
Tank traps are designed to block tanks in a known area and buy time for other defenses. It is very difficult for artillery to fire on moving tanks, and it used to be much more…